package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConfRestricaoCanalVenta;

public interface ConfRestricaoCanalVentaDAO{

	public ConfRestricaoCanalVenta obtenerID(Long id);

	public ConfRestricaoCanalVenta suscribir(ConfRestricaoCanalVenta entidad);

	public ConfRestricaoCanalVenta actualizacion(ConfRestricaoCanalVenta entidad);

	public void borrar(ConfRestricaoCanalVenta entidad);

	public Long count(String campo, Object o);
	
	public Boolean inativarListConfRestricaoCanalVenta(List<Integer> idsConfRestricaoCanalVenta, Integer usuarioId);
}
